org.pentaho.reporting.libraries.resourceloader

## Class FactoryParameterKey

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.FactoryParameterKey

All Implemented Interfaces:
  java.io.Serializable

    public final class FactoryParameterKey
    extends java.lang.Object
    implements java.io.Serializable

Creation-Date: 16.05.2006, 15:24:21

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FactoryParameterKey(java.lang.String name)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getName()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FactoryParameterKey

    public FactoryParameterKey(java.lang.String name)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### getName

    public java.lang.String getName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`